from gaodantea.tea import Tea, IcedTea


class Gaodan:
  def __init__(self):
    self.state = 0
    self.switch = {0: 'It\'s too early for tea.',
                   1: 'OK, let\'s go.',
                   2: 'No more tea.'}

  def __add__(self, tea):
    if not isinstance(tea, Tea):
      return "I only like tea!"

    response = ''
    if self.state == 1 and isinstance(tea, IcedTea):
      response += 'I really like Iced tea! '
    response += self.switch[self.state]
    
    if self.state < 2:
      self.state += 1
    
    return response
